<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$text_link_color    = get_post_meta( $postID, '_yaymail_email_textLinkColor_settings', true ) ? get_post_meta( $postID, '_yaymail_email_textLinkColor_settings', true ) : '#96588a';
$yaymail_settings   = get_option( 'yaymail_settings' );
$orderImagePostions = isset( $yaymail_settings['image_position'] ) && ! empty( $yaymail_settings['image_position'] ) ? $yaymail_settings['image_position'] : 'Top';
$orderImage         = isset( $yaymail_settings['product_image'] ) && '0' != $yaymail_settings['product_image'] ? $yaymail_settings['product_image'] : '0';
$image_width        = isset( $yaymail_settings['image_width'] ) ? $yaymail_settings['image_width'] : 32;
$image_height       = isset( $yaymail_settings['image_height'] ) ? $yaymail_settings['image_height'] : 32;
$image_size         = isset( $yaymail_settings['image_size'] ) ? $yaymail_settings['image_size'] : 'thumbnail';
$titleProduct       = isset( $attrs['titleProduct'] ) ? $attrs['titleProduct'] : 'Product';
$titleQuantity      = isset( $attrs['titleQuantity'] ) ? $attrs['titleQuantity'] : 'Quantity';
$titlePrice         = isset( $attrs['titlePrice'] ) ? $attrs['titlePrice'] : 'Price';
$borderColor        = isset( $attrs['borderColor'] ) && $attrs['borderColor'] ? 'border-color:' . html_entity_decode( $attrs['borderColor'], ENT_QUOTES, 'UTF-8' ) : 'border-color:inherit';
$textColor          = isset( $attrs['textColor'] ) && $attrs['textColor'] ? 'color:' . html_entity_decode( $attrs['textColor'], ENT_QUOTES, 'UTF-8' ) : 'color:inherit';
$titleColor         = isset( $attrs['titleColor'] ) && $attrs['titleColor'] ? 'color:' . html_entity_decode( $attrs['titleColor'], ENT_QUOTES, 'UTF-8' ) : 'color:inherit';
?>
<table
  width="<?php esc_attr_e( $general_attrs['tableWidth'], 'woocommerce' ); ?>"
  cellspacing="0"
  cellpadding="0"
  border="0"
  align="center"
  style="display: table; 
	<?php echo esc_attr( 'background-color: ' . $attrs['backgroundColor'] ); ?>; 
	<?php echo esc_attr( 'min-width: ' . $general_attrs['tableWidth'] . 'px' ); ?>; 
  "
  class="web-main-row"
  id="web<?php echo esc_attr( $id ); ?>"
>
	<tbody>
		<tr>
			<td
				id="web-<?php echo esc_attr( $id ); ?>-order-item"
				class="web-order-item"
				align="left"
				style='font-size: 13px; line-height: 22px; word-break: break-word;
				<?php echo 'font-family: ' . wp_kses_post( $attrs['family'] ); ?>;
				<?php echo esc_attr( 'padding: ' . $attrs['paddingTop'] . 'px ' . $attrs['paddingRight'] . 'px ' . $attrs['paddingBottom'] . 'px ' . $attrs['paddingLeft'] . 'px;' ); ?>
				'
			>
			<div style="min-height: 10px; <?php echo esc_attr( 'color: ' . $attrs['textColor'] ); ?>;">
				<h2 class="yaymail_builder_order" style='font-size: 18px; font-weight: 700;<?php echo esc_attr( 'color: ' . $attrs['titleColor'] ); ?>;<?php echo 'font-family: ' . wp_kses_post( $attrs['family'] ); ?>;'>
					<?php echo esc_html_e( 'Wishlist Items', 'yaymail' ); ?>
				</h2>
				<table cellspacing="0" cellpadding="6" border="1" style="width:100%;border-width: 1px;border-style: solid;<?php echo esc_attr( $borderColor ); ?>">
					<thead>
						<tr style="<?php echo esc_attr( $textColor ); ?>">
							<th scope="col" style="padding:12px;text-align:left;border: 1px solid;<?php echo esc_attr( $borderColor ); ?>"><?php echo esc_html__( $titleProduct, 'yaymail' ); ?></th>
							<th scope="col" style="padding:12px;text-align:left;border: 1px solid;<?php echo esc_attr( $borderColor ); ?>"><?php echo esc_html__( $titleQuantity, 'yaymail' ); ?></th>
							<th scope="col" style="padding:12px;text-align:left;border: 1px solid;<?php echo esc_attr( $borderColor ); ?>"><?php echo esc_html__( $titlePrice, 'yaymail' ); ?></th>
						</tr>
					</thead>
					<tbody>
						<?php
						if ( $wishlist_data->has_items() ) :
							foreach ( $wishlist_data->get_items() as $item ) :
								$product = $item->get_product();
								?>
								<tr>
									<td scope="col" style="text-align:left;border-width: 1px;border-style: solid;<?php echo esc_attr( $borderColor ); ?>">
									<?php if ( 'Bottom' == $orderImagePostions && '1' == $orderImage ) : ?>
										<a style="color: <?php echo esc_attr( $text_link_color ); ?>" href="<?php echo esc_url( get_edit_post_link( $product->get_id() ) ); ?>"><?php echo wp_kses_post( $product->get_title() ); ?></a>
										<?php
										if ( $product->is_type( 'variation' ) ) {
											echo wc_get_formatted_variation( $product ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
										}
										?>
									<?php else : ?>
										<div class="yaymail-product-image" style="margin-bottom: 5px; float: unset;">
											<img src="<?php echo ( $product->get_image_id() ? wp_kses_post( current( wp_get_attachment_image_src( $product->get_image_id(), $image_size ) ) ) : wp_kses_post( wc_placeholder_img_src() ) ); ?>" alt="Product image" height="<?php echo esc_attr( $text_link_color ); ?>" width="<?php echo esc_attr( $text_link_color ); ?>" style="vertical-align:middle;margin-right: 10px">
										</div>
										<div>
											<a style="color: <?php echo esc_attr( $text_link_color ); ?>" href="<?php echo esc_url( get_edit_post_link( $product->get_id() ) ); ?>"><?php echo wp_kses_post( $product->get_title() ); ?></a>
											<?php
											if ( $product->is_type( 'variation' ) ) {
												echo wc_get_formatted_variation( $product ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
											}
											?>
										</div>
									<?php endif; ?>
										
									</td>
									<td scope="col" style="text-align:left;border-width: 1px;border-style: solid;<?php echo esc_attr( $borderColor ); ?>">
										<?php echo esc_html( $item->get_quantity() ); ?>
									</td>
									<td scope="col" style="text-align:left;border-width: 1px;border-style: solid;<?php echo esc_attr( $borderColor ); ?>">
										<?php echo wc_price( $item->get_product_price() );  // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
									</td>
								</tr>
								<?php
							endforeach;
						endif;
						?>
					</tbody>
				</table>
			</div>
		</td>
	  </tr>
	</tbody>
</table>
